View Issue Details

IDProjectCategoryView StatusLast Update
0021047LazarusIDEpublic2012-02-10 11:01
ReporterSven BarthAssigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0021047: Add key triggerable action to move the cursor to the end of a word
DescriptionWhen reworking or porting code I often see me using Ctrl+(Shift+)+Left/Right to mark words that I need to replace, copy or whatever. In some situations the next position where Ctrl+Right stops is rather far away from my intended position so I need to correct the cursor "manually". In such situations a possibilty to move the cursor at the end of a word would be very helpful (it doesn't even need a default keyboard combination, because I could assign that myself).

Additional InformationExample situation (converting a C fragment to Pascal):

    double someVar; // some comment

Basically I intend the following:
* Position cursor on begin of "double"
* Select "double" using "Ctrl+Shift+Right"
* Cut the text
* Issue key combination to jump to the end of "someVar"
* Enter ": " and insert the text cut earlier (and press Del to remove the superflous blank)

In most situtations Ctrl+Right will be sufficient or End will work as well. But in the above situation Ctrl+Right will put me at the beginning of "some" which is rather far away from the end of "someVar" (not even mentioning where End will put me ^^)
TagsNo tags attached.
Fixed in Revision35240
LazTarget1.2
Widgetset
Attached Files

Activities

Martin Friebe

2012-02-08 19:26

manager   ~0056664

Please test and close if ok

I added new actions for
- navigate left/right to end of word
- navigate left/right to begin/middle of word
middle is CamelCase lower to upper, and "_" to char


By default they have no keymapping, so you need to set them up yourself

Sven Barth

2012-02-10 11:01

manager   ~0056712

You are my hero :) Not only do you add my desired function, but also another one which I often desired, but never dared to ask :D

The only problem now is that I definitely need to find the time to clean up by keyboard mappings... ^^

Thank you very much.

Regards,
Sven

Issue History

Date Modified Username Field Change
2012-01-08 14:04 Sven Barth New Issue
2012-01-08 14:04 Sven Barth LazTarget => -
2012-01-08 14:15 Martin Friebe Status new => assigned
2012-01-08 14:15 Martin Friebe Assigned To => Martin Friebe
2012-02-04 11:10 Zeljan Rikalo LazTarget - => 1.2
2012-02-08 19:26 Martin Friebe Fixed in Revision => 35240
2012-02-08 19:26 Martin Friebe Status assigned => resolved
2012-02-08 19:26 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2012-02-08 19:26 Martin Friebe Resolution open => fixed
2012-02-08 19:26 Martin Friebe Note Added: 0056664
2012-02-10 11:01 Sven Barth Status resolved => closed
2012-02-10 11:01 Sven Barth Note Added: 0056712